c Mimics for calls to c-routines and plotting routines not
c available
c
c
c  FSTPLT mimic
c
c  called by: datac.f
c             lfun.f
c
c            call fstplt( data(ixsp(i)),fvec(ixsp(i)), 
c     #                   sbi(i)-shft(i)-tmpshft(i),sdb(i),ndata(i),i )
c
c
c
      subroutine fstplt( d1, f1, sbi, sdb, npts, ispec)
c
c     d1  : Experimental data points
c     f1  : Fit 
	double precision d1(*), f1(*)
c
c     sbi   : Starting fields for each spectrum
c     sdb   : Field step size for each spectrum
	double precision sbi, sdb
c
c     npts   : number of points in spectrum
c     ispec : spectrum number
	integer npt, ispec
c
c doing nothing in this version

      return
	end
	

c GETWNDWS mimic
c
c called by: datac.f
c         call getwndws( nspc, wndoid )
c from datac.f:
c    ------------------------------------------------------------------
c    Call getwindows and plot files when the last datafile is read in
c      nser = number of spectra in the series
c      wndoid = character array of window I.D.'s
c               defined as character*20 wndoid(mxspc) in expdat.inc
c    ------------------------------------------------------------------
c
      subroutine getwndws(nspc, wndoid)
      integer nspc
	character*20 wndoid

	return
	end


c SHTWNDWS
c called by: nlsl.f
c      call shtwndws()
c
      subroutine shtwndws()

      return
	end


c CATCH and UNCATCHC mimics in file catchc.c
c
c called by: srchc.f
c            fitl.f 
c            nlsl.f
c		   scalec.f
c            shiftc.f
c         call uncatchc( hltcmd )
c         call catchc( hltcmd )
c
	subroutine catchc(h)
	integer h
	h = 0

	return
	end

	subroutine uncatchc(h)
	integer h
	h = 0

      return
	end



c GETBIN, in file genio.c
c called by: getdat.f
c
c     iret=getbin(filen,xraw,yraw,ndata,comment,ncmts,MXINP)
c
	integer function getbin(filen,xraw,yraw,ndata,comment,ncmts,MXINP)
c
      character*30 filen
      double precision xraw(*), yraw(*)
      character*80 comment(*)

	getbin = 0

	return
	end
	
c
c LGRINT.f
c called: by sshift.f
c has been resolved
c sshift did not declare lgrint as complex(8)  

c
c LPRMPT.c
c called by: strutl.f
c      call lprmpt
c /* This is a kludge to work around the fact that VS FORTRAN won't let
c   you write a line to standard output that does not end with a <CR>/<LF>
c   unlike real programming languages.
c  */
c
c or just use the \ format descriptor in Powerstation
c
	subroutine lprmpt

	write (*,1000)
1000  format(' NLSL> '\)
c1000  format(' NLSL> ')

	return
	end
c
c WPOLL
c called by: strutl.f
c      call wpoll
c
c No idea what this routine is doing ...
c (part of pltx.c)
c
      subroutine wpoll
	return
	end

c
c function ddtime
c
c original name dtime 
c called by: fitl
c
c gives cpu time 
c dtime is available in PORTLIB, but only working for Windows NT
c ftime gives the time in seconds after the first call
c
	real function ddtime(tarray)
	use portlib

	real tarray(8)

	ddtime = timef()

	return
	end